April 15, 2014

In this brief tutorial we are going to show you how to patch your server from the popular and controversial Heartbleed Venerability. We are going to assume that your server is running Ubuntu 12.04 LTS Server Edition and that you are both; connected to the internet and are logged in to a command prompt with administrative permissions. The good news is that this processes is going to be extremely simple and straight forward. Ubuntu has released a patch for the Heartbleed Venerability, so all you need to do update and upgrade and the patch will be automatically applied from the Ubuntu repository.

sudo apt-get update
sudo apt-get upgrade

To check if you have the latest and patched version, run:

openssl version -a

OpenSSL 1.0.1e 11 Feb 2013
built on: Mon Apr 7 20:33:19 UTC 2014
platform: debian-amd64

Check the “built on:” item. As long as it is built on April 7th 2014 or later than your server is patched and protected against the Heartbleed Venerability.





Speak to an Expert

A solution specialist will contact you for an interactive demo of the key features and benefits of technology solutions from TDNYC.



How to patch the Heartbleed bug (CVE-2014-0160) in OpenSSL? is posted in: